fix build.sh some strange code
authorBigfootACA <bigfoot@classfun.cn>
星期四, 4 Mar 2021 14:47:27 +0000 (22:47 +0800)
committerBigfootACA <bigfoot@classfun.cn>
星期五, 2 Jul 2021 08:30:12 +0000 (16:30 +0800)
build.sh

index ac9e166d1af4d3abc24f543d0d69374780b70ab5..d1a88ed25b03da86ea840d50cf30908f17d86c7a 100755 (executable)
--- a/build.sh
+++ b/build.sh
@@ -38,11 +38,9 @@ function _build(){
        # based on the instructions from edk2-platform
        rm -f "boot_${DEVICE}.img" uefi_img "uefi-${DEVICE}.img.gz" "uefi-${DEVICE}.img.gz-dtb"
        build -s -n 0 -a AARCH64 -t GCC5 -p "sdm845Pkg/Devices/${DEVICE}.dsc"||return "$?"
-       gzip -c < workspace/Build/sdm845Pkg/DEBUG_GCC5/FV/SDM845PKG_UEFI.fd > "uefi-${DEVICE}.img.gz"||return "$?"
-       cat "uefi-${DEVICE}.img.gz" "device_specific/${DEVICE}.dtb" > "uefi-${DEVICE}.img.gz-dtb"||return "$?"
-       abootimg --create "boot-${DEVICE}.img" -k "uefi-${DEVICE}.img.gz-dtb" -r ramdisk||return "$?"
-    mv "uefi-${DEVICE}.img.gz" "workspace/"
-    mv "uefi-${DEVICE}.img.gz-dtb" "workspace/"
+       gzip -c < workspace/Build/sdm845Pkg/DEBUG_GCC5/FV/SDM845PKG_UEFI.fd > "workspace/uefi-${DEVICE}.img.gz"||return "$?"
+       cat "workspace/uefi-${DEVICE}.img.gz" "device_specific/${DEVICE}.dtb" > "workspace/uefi-${DEVICE}.img.gz-dtb"||return "$?"
+       abootimg --create "boot-${DEVICE}.img" -k "workspace/uefi-${DEVICE}.img.gz-dtb" -r ramdisk||return "$?"
        echo "Build done: boot-${DEVICE}.img"
        set +x
 }